#define F_CPU 1000000
#include <avr/io.h>
#include <util/delay.h>
#include <stdint.h>

uint8_t content[5];
uint8_t matrixpos;

void muxmatrix() {
    uint8_t pb;
    matrixpos++;
    if (matrixpos>=5) matrixpos=0;
    //All the bits in content should be set in both ddrb and portb
    //The pos'th bit should only be set in ddrb
    pb=(1<<matrixpos);
//    DDRB=0xff;
//    PORTB=pb;
    DDRB=content[matrixpos]|pb;
    PORTB=content[matrixpos]&(~pb);
}

int main(int argc, char** argv) {
    uint8_t w;
    uint8_t p;
    p=1;
    content[0]=0xff;
    content[1]=0xff;
    content[2]=0xff;
    content[3]=0xff;
    content[4]=0xff;
    while(1) {
	for (w=0; w<10; w++)
	 _delay_loop_2(65535);
	muxmatrix();
    }
    return(0);
}
